function [squareScore, circleScore] = strongestSign(template, handles, squareScore, circleScore)

global blueSquareSigns;
global blueCirkleSigns;

for i = 1:length(blueSquareSigns)
    if blueSquareSigns{i} == template
        squareScore(i) = squareScore(i)+1;
    end
end

for i = 1:length(blueCirkleSigns)
    if blueCirkleSigns{i} == template
        circleScore(i) = circleScore(i)+1;
    end
end

[ss,Iss] = max(squareScore);
[cs,Ics] = max (circleScore);

if ss > 1 || cs > 1
    if ss > cs
        imshow(blueSquareSigns{Iss}, 'Parent', handles.axes8);
    else
        imshow(blueCirkleSigns{Ics}, 'Parent', handles.axes8);
    end
end
